import request from "@/utils/request";

export function findList(data) {
  return request({
    url: '/system/databaseCredentials/findAll',
    method: 'post',
    data: data
  })
}
export function addDB(data) {
  return request({
    url: '/system/databaseCredentials/addDB',
    method: 'post',
    data: data
  })
}

// 修改用户
export function updateDB(data) {
  return request({
    url: '/system/databaseCredentials',
    method: 'put',
    data: data
  })
}
// 删除用户
export function delDB(id) {
  return request({
    url: '/system/databaseCredentials/' + id,
    method: 'delete'
  })
}
export function getId(id) {
  return request({
    url: '/system/databaseCredentials/' + id,
    method: 'get'
  })
}
export function findStatesList() {
  return request({
    url: '/system/databaseCredentials/findListStates' ,
    method: 'post'
  })
}
